Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1554134 - [abrt] atril: atk_object_notify_state_change(): atril killed by SIGSEGV
Summary: [abrt] atril: atk_object_notify_state_change(): atril killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atril
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3b76c7492e8ac6e06cadc1e083f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-11 19:44 UTC by Sam Tygier
Modified: 2018-03-21 17:38 UTC (History)
2 users (show)

Fixed In Version: atril-1.19.6-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-21 17:38:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: cgroup (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: core_backtrace (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: cpuinfo (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: dso_list (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: environ (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: exploitable (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: limits (deleted)
2018-03-11 19:44 UTC, Sam Tygier
no flags Details
File: maps (deleted)
2018-03-11 19:45 UTC, Sam Tygier
no flags Details
File: mountinfo (deleted)
2018-03-11 19:45 UTC, Sam Tygier
no flags Details
File: open_fds (deleted)
2018-03-11 19:45 UTC, Sam Tygier
no flags Details
File: proc_pid_status (deleted)
2018-03-11 19:45 UTC, Sam Tygier
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github mate-desktop atril issues 302 0 None None None 2018-03-11 20:04:16 UTC

Description Sam Tygier 2018-03-11 19:44:43 UTC
Description of problem:
Happens when latex updates a pdf while atril is loading it.

Version-Release number of selected component:
atril-1.19.6-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        atril squeeze.pdf
crash_function: atk_object_notify_state_change
executable:     /usr/bin/atril
journald_cursor: s=b0fd28a48c3e497fb4bb0da91df759c4;i=58390;b=749775ad35a64145a901671015b402e6;m=2c03fd948d;t=566e5d8d48bc2;x=84467ad6b632c1a4
kernel:         4.15.6-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 atk_object_notify_state_change at atkobject.c:1215
 #1 ev_view_accessible_set_page_range at ev-view-accessible.c:574
 #2 view_update_range_and_current_page at ev-view.c:815
 #3 on_adjustment_value_changed at ev-view.c:6676
 #8 emit_value_changed at gtkadjustment.c:349
 #9 adjustment_set_value at gtkadjustment.c:450
 #10 gtk_adjustment_set_value_internal at gtkadjustment.c:545
 #11 gtk_adjustment_set_value at gtkadjustment.c:567
 #12 view_set_adjustment_values at ev-view.c:693
 #13 ev_view_size_allocate at ev-view.c:3749

Comment 1 Sam Tygier 2018-03-11 19:44:49 UTC
Created attachment 1406954 [details]
File: backtrace

Comment 2 Sam Tygier 2018-03-11 19:44:50 UTC
Created attachment 1406955 [details]
File: cgroup

Comment 3 Sam Tygier 2018-03-11 19:44:52 UTC
Created attachment 1406956 [details]
File: core_backtrace

Comment 4 Sam Tygier 2018-03-11 19:44:53 UTC
Created attachment 1406957 [details]
File: cpuinfo

Comment 5 Sam Tygier 2018-03-11 19:44:55 UTC
Created attachment 1406958 [details]
File: dso_list

Comment 6 Sam Tygier 2018-03-11 19:44:56 UTC
Created attachment 1406959 [details]
File: environ

Comment 7 Sam Tygier 2018-03-11 19:44:58 UTC
Created attachment 1406960 [details]
File: exploitable

Comment 8 Sam Tygier 2018-03-11 19:44:59 UTC
Created attachment 1406961 [details]
File: limits

Comment 9 Sam Tygier 2018-03-11 19:45:01 UTC
Created attachment 1406962 [details]
File: maps

Comment 10 Sam Tygier 2018-03-11 19:45:02 UTC
Created attachment 1406963 [details]
File: mountinfo

Comment 11 Sam Tygier 2018-03-11 19:45:04 UTC
Created attachment 1406964 [details]
File: open_fds

Comment 12 Sam Tygier 2018-03-11 19:45:05 UTC
Created attachment 1406965 [details]
File: proc_pid_status

Comment 13 Wolfgang Ulbrich 2018-03-13 09:16:23 UTC
I don't have a latex file to rebuild to pdf.
Can you provide one?

Comment 14 Wolfgang Ulbrich 2018-03-13 09:32:56 UTC
I found a report for evince with similar stacktrace, but no fix.
https://bugs.centos.org/view.php?id=10236
So does this happens with evince too?

Comment 15 Wolfgang Ulbrich 2018-03-13 09:36:20 UTC
And a rhbz report.
https://bugzilla.redhat.com/show_bug.cgi?id=1151876

Comment 16 Wolfgang Ulbrich 2018-03-13 09:51:06 UTC
Ok, i found evince report with fix for it
https://bugzilla.gnome.org/show_bug.cgi?id=735744

Comment 17 Wolfgang Ulbrich 2018-03-13 11:06:19 UTC
Can you please try this scratch build?
https://koji.fedoraproject.org/koji/taskinfo?taskID=25681394

Comment 18 Wolfgang Ulbrich 2018-03-14 08:08:12 UTC
Any chance to test this?

Comment 19 Sam Tygier 2018-03-15 23:00:37 UTC
Thanks. The method from https://bugzilla.gnome.org/show_bug.cgi?id=735744#c16 works better as a test case than my own files. I have tried several times and it seems that the koji builds fix the issue.

Comment 20 Fedora Update System 2018-03-16 16:11:31 UTC
atril-1.19.6-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-66d331b6ae

Comment 21 Fedora Update System 2018-03-17 20:37:49 UTC
atril-1.19.6-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-66d331b6ae

Comment 22 Fedora Update System 2018-03-21 17:38:26 UTC
atril-1.19.6-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.